Page MenuHomePhabricator

Use {{DISPLAYTITLE}} as link label on category pages
Open, LowPublic

Description

Author: dgrace

Description:
I'm working on a private MediaWiki installation intended as developer documentation for a software project.

Part of the documentation includes explanations of various SQL tables, many with underscores in them (i.e. 'table_name'). Several functions and other aspects of the program use underscores as well.

I've made a template that automatically corrects the display title of pages to show the underscores. However, it would be nice if there was an option that altered the link displayed in the category pages to reflect this, perhaps with some combination of options to:

a) Make {{DISPLAYTITLE}} the default sort key
b) Show category pages using the sort key as the link text rather than the actual page title. (Or the display title if the possibility of having a page's link not reflect the page's actual name is deemed a Bad Thing(tm))
c) Some magic word that could exist on the category page that sets the allowed/default behavior for page displays.

This would allow for cleaner-looking category pages in my case as well. For instance, all of my database objects are Database/object_name, so Category:Database Tables could simply show links 'table_name', etc. instead of 'Database/table_name'

Details

Reference
bz17212

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:23 PM
bzimport added a project: MediaWiki-Categories.
bzimport set Reference to bz17212.
bzimport added a subscriber: Unknown Object (MLST).

Hint:
If there is no sufficiently quick or good solution to this bug,
you can consider using SMW http://www.mediawiki.org/wiki/Extension:Semantic_MediaWiki and try to establish "index pages"
or "directory pages" of your own using the SMW <ask> syntax.
I believe that these would be pretty easily set up.

Related URL: https://gerrit.wikimedia.org/r/68936 (Gerrit Change Ic1f61879cf5848f4ec6e61f0b80c24019d0e8a13)

ian2 wrote:

Just discovered this too. If I look at a category of chemical formulae, none of
the numbers are subscripted, see:
https://en.wikipedia.org/wiki/Category:Molecular_formula_set_index_pages

It also makes it difficult to see which pages still need to have pagetitle
applied.

  • Bug 67569 has been marked as a duplicate of this bug. ***

Change 144411 had a related patch set uploaded by Florianschmidtwelzow:
Add new Magic Word USEDISPLAYTITLE

https://gerrit.wikimedia.org/r/144411

Change 144411 abandoned by Florianschmidtwelzow:
Add new Magic Word USEDISPLAYTITLE

Reason:
Will work on it, after a functionality like Ic1f61879cf5848f4ec6e61f0b80c24019d0e8a13 is implemented

https://gerrit.wikimedia.org/r/144411

matmarex renamed this task from Request to show {{DISPLAYTITLE}} or sort key as page link on category pages to Request to show {{DISPLAYTITLE}} as page link on category pages.Feb 23 2015, 5:53 PM
matmarex set Security to None.

There is separate task T24586 about making the sortkey visible somewhere.

Kghbln added a subscriber: Kghbln.Nov 3 2015, 2:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2015, 2:30 PM
Kghbln awarded a token.Nov 3 2015, 2:31 PM
matej_suchanek updated the task description. (Show Details)
matej_suchanek removed a subscriber: wikibugs-l-list.

Change 68936 had a related patch set uploaded (by Fomafix):
(Optionally) Use {{DISPLAYTITLE:...}} whenever linking to a page

https://gerrit.wikimedia.org/r/68936

Change 68936 abandoned by Brian Wolff:
(Optionally) Use {{DISPLAYTITLE:...}} whenever linking to a page

Reason:
Not going anywhere

https://gerrit.wikimedia.org/r/68936

Krinkle renamed this task from Request to show {{DISPLAYTITLE}} as page link on category pages to Use {{DISPLAYTITLE}} as link label on category pages.Mar 9 2019, 10:43 PM
Krinkle removed a project: Patch-For-Review.